#include <iostream>

using namespace std;

int main()
{
	int n, l;
	cin >> n >> l;
	int r = -1;
	for(int i = 1; i <= n; i++)
	{
		int h;
		cin >> h;
		if(h <= l && r == -1)
			r = i;
	}
	
	cout << r;
	
}